Open Lighting Architecture: ola::io::WriteFileDescriptor Class Reference

| Open Lighting Architecture 0.10.9

Loading...
Searching...
No Matches
Public Member Functions | List of all members
ola::io::WriteFileDescriptor Class Referenceabstract
I/O & Event Management

## Detailed Description

Represents a file descriptor that supports writing data.

Inheritance diagram for ola::io::WriteFileDescriptor:

## Public Member Functions
virtual DescriptorHandle | WriteDescriptor () const =0
| Returns the write descriptor for this socket.
bool | ValidWriteDescriptor () const
| Check if this file descriptor is valid.
virtual void | PerformWrite ()=0
| Called when the descriptor can be written to.

## Member Function Documentation

## ◆ PerformWrite()

virtual void ola::io::WriteFileDescriptor::PerformWrite | ( |  | ) |
| pure virtual

Called when the descriptor can be written to.

This is usually called by the SelectServer.

Implemented in ola::io::BidirectionalFileDescriptor, and ola::network::PendingTCPConnection.

## ◆ ValidWriteDescriptor()

bool ola::io::WriteFileDescriptor::ValidWriteDescriptor | ( |  | ) | const
| inline

Check if this file descriptor is valid.

Returns
  true if the write descriptor is valid.

## ◆ WriteDescriptor()

virtual DescriptorHandle ola::io::WriteFileDescriptor::WriteDescriptor | ( |  | ) | const
| pure virtual

Returns the write descriptor for this socket.

Returns
  the DescriptorHandle for this descriptor.

Implemented in ola::client::TCPSocket, ola::http::UnmanagedFileDescriptor, ola::io::DeviceDescriptor, ola::io::LoopbackDescriptor, ola::io::PipeDescriptor, ola::io::UnixSocket, ola::io::UnmanagedFileDescriptor, ola::network::PendingTCPConnection, ola::network::TCPSocket, ola::network::UDPSocket, ola::network::UDPSocketInterface, ola::plugin::artnet::UDPSocket, ola::plugin::espnet::UDPSocket, ola::plugin::kinet::UDPSocket, ola::plugin::openpixelcontrol::TCPSocket, ola::plugin::pathport::UDPSocket, ola::plugin::sandnet::UDPSocket, ola::plugin::shownet::UDPSocket, ola::rpc::TCPSocket, and UDPSocket.

The documentation for this class was generated from the following file:

- include/ola/io/Descriptor.h